Install the latest stable and supported version of GIMP

Everything about X, Gnome, KDE, ... and everything running on it

Install the latest stable and supported version of GIMP

Postby broadsworde » 2020-03-22 09:44

I installed GIMP on a fresh hardware install of Debian 10.3.0, but find that the version of GIMP installed is quite an old one; 2.10.8 vs the current stable version of 2.10.18.

Is there a preferred way of installing the latest stable version of GIMP that would still be enabled for updates via regular apt full-upgrade?
broadsworde
 
Posts: 20
Joined: 2017-03-01 13:50

Re: Install the latest stable and supported version of GIMP

Postby Hallvor » 2020-03-22 10:10

Old also means well tested, meaning things are less likely to go wrong. Unless there is some application with a "killer" feature you must have, I suggest waiting for the next release.

If an official backport existed, it would show up here: https://packages.debian.org/search?keyw ... -backports

It may still be possible to build one, though. Stevepusser is the king of backports around here, so maybe he can tell you. ;)

The last option is to install a flatpak: https://www.gimp.org/downloads/ Just # apt install flatpak first
Lenovo ThinkPad T440S, Intel Core i7-4600U CPU @ 2.10GHz, 8 GB RAM, 256 GB SSD, Debian Buster (KDE)
Lenovo ThinkPad X240, Intel Core i5-4300U CPU @ 2.90GHz, 8 GB RAM, 120 GB SSD, Debian Buster (KDE)
User avatar
Hallvor
 
Posts: 1061
Joined: 2009-04-16 18:35
Location: Norway

Re: Install the latest stable and supported version of GIMP

Postby Head_on_a_Stick » 2020-03-22 10:24

I have the latest version running in buster from the upstream tarball — just unpack it to it's own directory and symlink the executable to ~/bin:
Code: Select all
mkdir ~/blender
tar xf ~/Downloads/blender-2.82a-linux64.tar.xz -C ~/blender
ln -s ~/blender/blender-2.82a-linux64/blender ~/bin/blender

https://www.blender.org/download/Blende ... 64.tar.xz/

You'll need to update it manually though.
User avatar
Head_on_a_Stick
 
Posts: 11992
Joined: 2014-06-01 17:46
Location: /dev/chair

Re: Install the latest stable and supported version of GIMP

Postby None1975 » 2020-03-22 11:02

Head_on_a_Stick wrote:I have the latest version running in buster from the upstream tarball — just unpack it to it's own directory and symlink the executable to ~/bin:
Code: Select all
mkdir ~/blender
tar xf ~/Downloads/blender-2.82a-linux64.tar.xz -C ~/blender
ln -s ~/blender/blender-2.82a-linux64/blender ~/bin/blender

https://www.blender.org/download/Blende ... 64.tar.xz/

You'll need to update it manually though.


Hello. Topic starter means latest stable Gimp, not Blender :)
OS: Debian 10.3 Buster / WM: xmonad
Debian Wiki | DontBreakDebian, My config files on github
User avatar
None1975
 
Posts: 1010
Joined: 2015-11-29 18:23
Location: Lithuania, Vilnius

Re: Install the latest stable and supported version of GIMP

Postby Head_on_a_Stick » 2020-03-22 12:04

None1975 wrote:Hello. Topic starter means latest stable Gimp, not Blender :)

****, what a mistake to make... :oops:

Sorry OP, apparently I can't read today.
User avatar
Head_on_a_Stick
 
Posts: 11992
Joined: 2014-06-01 17:46
Location: /dev/chair

Re: Install the latest stable and supported version of GIMP

Postby stevepusser » 2020-03-23 02:08

Hallvor wrote:Old also means well tested, meaning things are less likely to go wrong. Unless there is some application with a "killer" feature you must have, I suggest waiting for the next release.

If an official backport existed, it would show up here: https://packages.debian.org/search?keyw ... -backports

It may still be possible to build one, though. Stevepusser is the king of backports around here, so maybe he can tell you. ;)

The last option is to install a flatpak: https://www.gimp.org/downloads/ Just # apt install flatpak first


Like this? https://build.opensuse.org/package/show ... ssert/gimp

It's in this repo: viewtopic.php?f=6&t=127574
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Kodi 18.6, Strawberry 0.6.11, Muse 3.1.0, Chromium with va-api, Audacity 2.4.1, Kdenlive 20.04
User avatar
stevepusser
 
Posts: 11692
Joined: 2009-10-06 05:53


Return to Desktop & Multimedia

Who is online

Users browsing this forum: No registered users and 6 guests

fashionable